package com.xyhy.chargpilemqttcluster.common.disruptor;

import com.lmax.disruptor.EventHandler;
import com.xyhy.chargpilemqttcluster.common.Common;
import com.xyhy.chargpilemqttcluster.workThread.WorkThread;
import com.xyhy.chargpilemqttcluster.workThread.WorkThreadGroupCommon;


public class LongEventHandler extends Common implements EventHandler<LongEvent> {

    public LongEventHandler()
    {

    }

    @Override
    public void onEvent(LongEvent longEvent, long l, boolean b) throws Exception {
        String topic = longEvent.getTopic();
        byte[] cmd = longEvent.getValue();

        WorkThread work = new WorkThread();
        work.set_topic(topic);
        work.set_value(cmd);
        WorkThreadGroupCommon.getThreadGroupCom().getWorkThreadPool().execute(work);


    }
}
