package com.xyhy.chargpilemqttcluster.workThread.Job;

import com.alibaba.fastjson.JSONObject;
import com.xyhy.chargpilemqttcluster.common.rabbitmq.publish.Publish_backStartCp;
import com.xyhy.chargpilemqttcluster.common.rabbitmq.publish.Publish_backStopCp;
import com.xyhy.chargpilemqttcluster.common.rabbitmq.publish.Publish_chargingstatus;
import com.xyhy.chargpilemqttcluster.common.redis.RedisHelp;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Job_stopCheck extends Thread{
    public String cdzid;

    public String cdjkid;

    public String orderId;

    public final Logger log = LoggerFactory.getLogger(this.getClass());

    public void run() {

        int i = 0;
        while (i < 60) {
            //System.out.println("睡眠："+i);

            String obj = RedisHelp.getOrderCheckVulue(cdzid+"-"+cdjkid+"-"+orderId);
            JSONObject returnOBj = JSONObject.parseObject(obj);
            String getResponse = returnOBj.getString("step");

            if (getResponse.equals("stoping")) {

                try {
                    Thread.sleep(1000);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }

            } else if (getResponse.equals("success")) {


                JSONObject ob2 = new JSONObject();
                ob2.put("orderId",orderId);
                ob2.put("cp_id",cdzid+""+cdjkid);
                ob2.put("resultCode",200);

                Publish_backStopCp.getInstence().sendMessage(ob2.toJSONString());

                return;
            } else if (getResponse.equals("error")) {
                return;
            }
            i++;
        }

        /*
        String Str_js2;
        JSONObject ob2 = new JSONObject();
        ob2.put("orderId", orderId);
        log.error("开始充电失败(超时，充电桩未响应) 订单id:" + orderId);
        ob2.put("code", "11");
        ob2.put("message", "开始充电失败(超时，充电桩未响应) 订单id:" + orderId);

        Publish_chargingstatus.getInstence().sendMessage(ob2.toJSONString());

         */


    }
}
