package com.xyhy.chargpilemqttcluster.workThread;

import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

public class WorkThreadGroupCommon {

    private static WorkThreadGroupCommon _ThreadGroupCommon;

    private ThreadPoolExecutor _threadPoolExecutor;


    public static WorkThreadGroupCommon getThreadGroupCom()
    {
        if(_ThreadGroupCommon==null)
        {
            _ThreadGroupCommon = new WorkThreadGroupCommon(1000);
        }
        return _ThreadGroupCommon;
    }

    public WorkThreadGroupCommon(int threadsNum)
    {
        _threadPoolExecutor =  new ThreadPoolExecutor(threadsNum, threadsNum,
                0L, TimeUnit.MILLISECONDS,
                new LinkedBlockingQueue<Runnable>());
    }

    public ThreadPoolExecutor getWorkThreadPool()
    {
        return _threadPoolExecutor;
    }








}
